<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@version 		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                Tabla de resumen de Oficinas / consultorios asociados a la oferta inmobiliaria
@cu				CU-AV-O-01 CU-AV-O-02

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             id="trablaResumenOficinasConsultoriosId">

    <p:dataTable value="#{managedBeanParam.oficinasConsultorios}"
                 var="oficinas" id="tablaResumenOficinas"
                 emptyMessage="No se encontraron oficinas / consultorios asociados a la oferta">

        <f:facet name="header">  
            Oficinas / consultorios
       	</f:facet>

        <p:column
            rendered="#{!managedBeanParam.banderaCargarFotosOfertaPrincipal}">
            <f:facet name="header">
                <h:outputText value="Opciones" />
            </f:facet>

            <p:commandButton title="Quitar de la lista" icon="ui-icon-trash"
                             action="#{managedBeanParam.removerOficinas}"
                             update=":registroOfertaInmobiliariaFormId,
                             :registroOfertaInmobiliariaFormId:tablaResumenOficinas"
                             immediate="true" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();">
                <f:setPropertyActionListener value="#{oficinas}"
                                             target="#{managedBeanParam.selectedOfertaOferta}" />
            </p:commandButton>

            <p:commandButton title="Editar oficinas" icon="ui-icon-pencil"
                             update=":proyectoOficinaConsultorioForm" id="editarOficinasBtn"
                             action="#{managedBeanParam.asignarBanderasTipoInmuebleEdicion}"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();
                             handleCompleteSIC(xhr, status, args, proyectoOficinaConsultorioWV, true);document.getElementById('registroOfertaInmobiliariaFormId:datostFocus').focus();">
                <f:setPropertyActionListener value="#{oficinas}"
                                             target="#{managedBeanParam.selectedOfertaOferta}" />
            </p:commandButton>

        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Código oferta" />
            </f:facet>

            <h:outputText value="#{oficinas.codigoOferta}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo inmueble" />
            </f:facet>

            <h:outputText value="#{oficinas.tipoInmueble}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Ubicación oficina / consultorio" />
            </f:facet>

            <h:outputText id="OfertaUbicacionOficinaV"
                          value="#{oficinas.ubicacionOficina}" styleClass="outputTextStyle">
                <f:converter converterId="converterCB" for="OfertaUbicacionOficinaV" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Área construcción / Área privada" />
            </f:facet>

            <h:outputText value="#{oficinas.areaConstruccion}"
                          styleClass="outputTextStyle">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Área terreno" />
            </f:facet>

            <h:outputText value="#{oficinas.areaTerreno}"
                          styleClass="outputTextStyle">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº cocinas" />
            </f:facet>

            <h:outputText value="#{oficinas.numeroCocinas}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº baños" />
            </f:facet>

            <h:outputText value="#{oficinas.numeroBanios}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Cableado red" />
            </f:facet>

            <h:outputText value="#{oficinas.cableadoRed}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Mezanine" />
            </f:facet>

            <h:outputText value="#{oficinas.mezanine}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Ubicación en piso" />
            </f:facet>

            <h:outputText value="#{oficinas.ubicacionEnPiso}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Valor pedido" />
            </f:facet>

            <h:outputText value="#{oficinas.valorPedido}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Valor arriendo" />
            </f:facet>

            <h:outputText value="#{oficinas.valorArriendo}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo parqueadero" />
            </f:facet>

            <h:outputText id="OfertaTipoParqueaderoV"
                          value="#{oficinas.tipoParqueadero}" styleClass="outputTextStyle">
                <f:converter converterId="converterCB" for="OfertaTipoParqueaderoV" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº parqueaderos" />
            </f:facet>

            <h:outputText value="#{oficinas.numeroParqueaderos}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Valor parqueaderos" />
            </f:facet>

            <h:outputText value="#{oficinas.valorParqueaderos}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº depositos" />
            </f:facet>

            <h:outputText value="#{oficinas.numeroDepositos}"
                          styleClass="outputTextStyle" />
        </p:column>
    </p:dataTable>

    <p:column>
        <f:facet name="header">
            <h:outputText value="Valor depositos" />
        </f:facet>

        <h:outputText value="#{oficinas.valorDepositos}"
                      styleClass="outputTextStyle">
            <f:converter converterId="converterMoneda" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">
            <h:outputText value="Valor administración" />
        </f:facet>

        <h:outputText value="#{oficinas.valorAdministracion}"
                      styleClass="outputTextStyle">
            <f:converter converterId="converterMoneda" />
        </h:outputText>
    </p:column>

</h:panelGrid>
